package com.coldlightalchemist.notesapp.db;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.coldlightalchemist.notesapp.db.dao.NoteDAO;
import com.coldlightalchemist.notesapp.db.entities.Note;

@Database(entities = {Note.class}, version = 1)
public abstract class NoteDB extends RoomDatabase {
    public abstract NoteDAO noteDAO();

    private static NoteDB db;

    public static NoteDB getDB(Context applicationContext) {
        if (db == null) {
            db = Room.databaseBuilder(applicationContext, NoteDB.class, "Notes")
                    .allowMainThreadQueries() // This is critical to make this whole thing work
                    .build();
        }

        return db;
    }
}
